Subject: Re: [PATCH net-next v2] net/rds: use strscpy() to instead of strncpy()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 13 Jan 2023 11:28:17 -0800

On Fri, 13 Jan 2023 15:13:12 +0800 (CST) [email-masked] wrote:
> > What are the differences in behavior between strncpy() and strscpy()?  
> 
> Strscpy() makes the dest string NUL-terminated, and returns more
> useful value. While strncpy() can initialize the dest string.
> 
> Here we use strscpy() to make dest string NUL-terminated, and use
> return value to check src string size and dest string size. This make
> the code simpler.

I'm not sure whether in this particular case the output needs 
to be padded or not. And I'm not sure you understand what the
implications are.

The code is fine as is, and I don't trust that you know what 
you're doing. So please don't send any more strncpy() -> strscpy()
conversions for networking.

If you want to do something useful please start with adding a check 
to checkpatch to warn people against using strncpy() and suggest using
strscpy() instead.